Filewatcher File Search File Search
Catalog
Content Search
» » » » » sugarcrm-5.5.1.tbz » Content »
pkg://sugarcrm-5.5.1.tbz:8204806/www/sugarcrm/include/javascript/yui/build/yuiloader/  info  downloads

sugarcrm…  more info»

README

yuiloader - Release Notes

2.6.0
 * Autocomplete requires datasource.
 * Config always used if provided to insert().
 * Added timeout support, which is off by default.  Add a 'timeout'
   config value greater than zero and an onTimeout handler to use it.
 * Added combo handler support, which is off by default.  Set
   'combine' to true to use it.
 * Filters are applied to new modules that have a 'fullpath' attribute.
 * resize, editor, simpleeditor, layout, datasource, datatable,
   cookie, profiler, yuiloader out of beta.
 * Added carousel, paginator
 * Added slider skin.

2.5.2
  * uploader requires element.
  * editer supersedes simpleditor.
  * Optional dependencies are sorted correctly when present even when
    loadOptional is not specified.

2.5.1
   * Updated metadata for 2.5.1.
   * Added the get utility's support for 'insertBefore'.
   * Added the get utility's support for 'charset'.
   * Fixed profilerviewer's dependency list.
   * Increased rollup threshold for reset-fonts-grids so reset-fonts will be 
     selected when appropriate.
   * yuiloader supersedes yahoo and get.
   * Modules now can have an 'after' property that can be used to specify
     a list of modules that are not dependencies, but need to be included
     above the module if they are present.
   * base will always be included after reset, fonts, and grids. Skin css
     will be included after all of the above.
   * Added a new rollup: yuiloader-dom-event (yuiloader includes yahoo and get as well).
   * utilities.js now includes yuiloader and get.
   * loaded modules which supersede other modules but don't allow automatic 
     rollup work correctly (the superseded modules won't load).
   * Addessed a source order issue when logger is included after a component
     which tries to instantiate it at load time.
   * The filter property can be set on the instance.
   * Custom css modules are always sorted below YUI css.
   * The loader will not attempt to rollup the skin css for custom skinnable modules.

2.5.0
   * Updated metadata for 2.5.0
   * (from the get utility) fixed autopurge.

2.4.1
   * Updated metadata for 2.4.1

2.4.0
   * NOTE: the API in this release has changed significantly.  Existing implementations
     will need to be modified in order to use the new version.
   * yuiloader now includes the yahoo and get components.  This removes the timing
     problems in the previous versions that forced one to use YAHOO_config or include
     yahoo.js on the page before yuiloader.
   * No longer uses YAHOO_config for loading, you must use YAHOO.util.YUILoader
   * Interacting with YAHOO.register or supplying a verifier function is no longer
     required to load non-YUI resources.
   * Supports script sandboxing.  Does not support x-domain sandboxing at this time
   * removed verifier property, added varName property which is only needed when
     using external scripts and the application needs to support Safari 2.x.
   * YUI metadata updates:
       * Added 'base', 'reset-fonts', 'get', 'json', 'simpleeditor', 'charts, and 'selector'
       * button and history are no longer beta components.
       * imageloader promoted from experimental to beta.

2.3.1
   * The "skin.overrides" property is now applied correctly.  Previously
     it was looking for "skin.override".

2.3.0
   * Initial release.  YUILoader can dynamically load the optimized list of dependencies
     for a given set of requirements.  It is designed to be the only YUI component you
     need on your page in order to get the library running.  It includes the pieces of YUI
     that it requires to work.  If you are using yuiloader.js, then you don't need the
     following:

     yahoo.js
     get.js
     

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com